import { OpenAI, ClientOptions } from 'openai';
import { OpenAIAssistantInterface } from './abstraction';
export declare class OpenAIAssistant implements OpenAIAssistantInterface {
    openai: OpenAI;
    private thread;
    private logger;
    private status;
    private assistantId;
    private functions;
    private hub;
    constructor(options: ClientOptions, assistantId: string);
    on(_eventName: string | RegExp, _callback: Function): void;
    getStatus(): string;
    addTool(name: string, func: Function): void;
    removeTool(name: string): void;
    initThread(): Promise<void>;
    pollAnswers(threadId: string, runId: string): Promise<void>;
    private updateStatus;
    private isRunCompleted;
    private isRunFailedOrCancelled;
    private isRunInProgress;
    private handleActionRequired;
    private processRequiredActions;
    private handleCompletedRun;
    addMessage(message: string): Promise<void>;
    cancel(runId: string): Promise<void>;
    run(): Promise<void>;
    private delay;
}
